lvqinit                package:class                R Documentation

Initialize a LVQ Codebook

Description:

     Construct an initial codebook for LVQ methods.

Usage:

     lvqinit(x, cl, size, prior, k = 5)

Arguments:

       x: a matrix or data frame of training examples, 'n' by 'p'. 

      cl: the classifications for the training examples. A vector or
          factor of length 'n'. 

    size: the size of the codebook. Defaults to 'min(round(0.4*ng*(ng-1
          + p/2),0), n)' where 'ng' is the number of classes. 

   prior: Probabilities to represent classes in the codebook. Default
          proportions in the training set. 

       k: k used for k-NN test of correct classification. Default is 5. 

Details:

     Selects 'size' examples from the training set without replacement
     with proportions proportional to the prior or the original
     proportions.

Value:

     A codebook, represented as a list with components 'x' and 'cl'
     giving the examples and classes.

References:

     Kohonen, T. (1990) The self-organizing map. _Proc. IEEE _ *78*,
     1464-1480.

     Kohonen, T. (1995) _Self-Organizing Maps._ Springer, Berlin.

     Ripley, B. D. (1996) _Pattern Recognition and Neural Networks._
     Cambridge.

     Venables, W. N. and Ripley, B. D. (2002) _Modern Applied
     Statistics with S._ Fourth edition.  Springer.

See Also:

     'lvq1', 'lvq2', 'lvq3', 'olvq1', 'lvqtest'

Examples:

     data(iris3)
     train <- rbind(iris3[1:25,,1], iris3[1:25,,2], iris3[1:25,,3])
     test <- rbind(iris3[26:50,,1], iris3[26:50,,2], iris3[26:50,,3])
     cl <- factor(c(rep("s",25), rep("c",25), rep("v",25)))
     cd <- lvqinit(train, cl, 10)
     lvqtest(cd, train)
     cd1 <- olvq1(train, cl, cd)
     lvqtest(cd1, train)

